export interface Lesson {
  Id: string;
  State: number;
  Title: string;
  ThumbnailUrl: string;
  CreatorUserId: string;
  CreatedAt: string;
}

// used for the preview card on /lessions page and on the lesson editor
export interface LessonPreview {
  Title: string;
  ThumbnailUrl: string;
}

// used on lesson page and on the lesson editor
export interface LessonContent {
  Id: string;
  Title: string;
}

export interface UpdateLessonPreviewThumbnail {
  lessonId: string;
  formData: FormData;
}
